/**
 * Copyright (c) Cisco Systems, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 */
import "../button/Button";
import "../icon/Icon";
import { CSSResultArray, LitElement } from "lit";
export declare const alertBannerType: string[];
export declare const alertBannerAlignment: string[];
export declare namespace AlertBanner {
    type Type = (typeof alertBannerType)[number];
    type Alignment = (typeof alertBannerAlignment)[number];
    class ELEMENT extends LitElement {
        type: AlertBanner.Type;
        titleText: string;
        message: string;
        closable: boolean;
        show: boolean;
        closeAriaLabel: string;
        showBannerTypeIcon: boolean;
        showRefreshButton: boolean;
        alignment: AlertBanner.Alignment;
        connectedCallback(): void;
        onHide(): void;
        onRefreshClick(): void;
        handleKeyDown(event: KeyboardEvent): void;
        private get isLeadingAlignment();
        static get styles(): CSSResultArray;
        getIconForType(): "error-legacy-bold" | "warning-bold" | "check-circle-bold" | "info-circle-bold";
        private get alertBannerClassMap();
        private get alertBannerTextClassMap();
        private get alertBannerRightClassMap();
        private get closeButtonTemplate();
        private get titleTemplate();
        render(): import("lit-html").TemplateResult<1>;
    }
}
declare global {
    interface HTMLElementTagNameMap {
        "md-alert-banner": AlertBanner.ELEMENT;
    }
    interface HTMLElementEventMap {
        /**
         * Fired when the alert banner is closed (hidden).
         * @event alertBanner-hide
         */
        "alertBanner-hide": CustomEvent<void>;
        /**
         * Fired when the refresh button is clicked.
         * @event alertBanner-refresh-button-click
         */
        "alertBanner-refresh-button-click": CustomEvent<void>;
    }
}
